Delete customer
DELETE
/merchants/{merchantCode}/customers/{customerId}
const url = 'https://customer.shopgate.io/v1/merchants/example/customers/example?ignoreInternalAttributes=false';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://customer.shopgate.io/v1/merchants/example/customers/example?ignoreInternalAttributes=false'Delete customer
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
customerId
required
string
Query Parameters
Section titled “Query Parameters”localeCode
string
Locale code to change the language of the attributes
ignoreInternalAttributes
boolean
Ignores internal attributes in the result set
Responses
Section titled “Responses”Customer deleted
Media typeapplication/json
Merchant or customer not found
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
